net.sourceforge.pmd.util

## Class EmptyIterator<T>

- java.lang.Object
- - net.sourceforge.pmd.util.EmptyIterator<T>

Type Parameters:
  `T` -

All Implemented Interfaces:
  Iterator<T>

    public class EmptyIterator<T>
    extends Object
    implements Iterator<T>

A singleton iterator that never has anything.

Author:
  Brian Remedios

### Field Summary

Fields
`static Iterator` `instance`

### Method Summary

Methods
`boolean` `hasNext()`
`static <T> Iterator<T>` `instance()`
`T` `next()`
`void` `remove()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### instance

    public static final Iterator instance

### Method Detail

#### instance

    public static final <T> Iterator<T> instance()

#### hasNext

    public boolean hasNext()

Specified by:
  `hasNext` in interface `Iterator<T>`

#### next

    public T next()

Specified by:
  `next` in interface `Iterator<T>`

#### remove

    public void remove()

Specified by:
  `remove` in interface `Iterator<T>`